Axis2/C: axis2_simple_http_svr_conn.h File Reference

- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# axis2_simple_http_svr_conn.h File Reference

Axis2 simple http server connection. More...

`#include <axis2_const.h>`
`#include <axis2_defines.h>`
`#include <axutil_env.h>`
`#include <axis2_http_simple_request.h>`
`#include <axis2_http_simple_response.h>`
`#include <axis2_http_response_writer.h>`

Go to the source code of this file.

typedef struct axis2_simple_http_svr_conn | axis2_simple_http_svr_conn_t
AXIS2_EXTERN axis2_status_t | axis2_simple_http_svr_conn_close (axis2_simple_http_svr_conn_t *svr_conn, const axutil_env_t *env)
AXIS2_EXTERN axis2_bool_t | axis2_simple_http_svr_conn_is_open (axis2_simple_http_svr_conn_t *svr_conn, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_simple_http_svr_conn_set_keep_alive (axis2_simple_http_svr_conn_t *svr_conn, const axutil_env_t *env, axis2_bool_t keep_alive)
AXIS2_EXTERN axis2_bool_t | axis2_simple_http_svr_conn_is_keep_alive (axis2_simple_http_svr_conn_t *svr_conn, const axutil_env_t *env)
AXIS2_EXTERN axutil_stream_t * | axis2_simple_http_svr_conn_get_stream (const axis2_simple_http_svr_conn_t *svr_conn, const axutil_env_t *env)
AXIS2_EXTERN axis2_http_response_writer_t * | axis2_simple_http_svr_conn_get_writer (const axis2_simple_http_svr_conn_t *svr_conn, const axutil_env_t *env)
AXIS2_EXTERN axis2_http_simple_request_t * | axis2_simple_http_svr_conn_read_request (axis2_simple_http_svr_conn_t *svr_conn, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_simple_http_svr_conn_write_response (axis2_simple_http_svr_conn_t *svr_conn, const axutil_env_t *env, axis2_http_simple_response_t *response)
AXIS2_EXTERN axis2_status_t | axis2_simple_http_svr_conn_set_rcv_timeout (axis2_simple_http_svr_conn_t *svr_conn, const axutil_env_t *env, int timeout)
AXIS2_EXTERN axis2_status_t | axis2_simple_http_svr_conn_set_snd_timeout (axis2_simple_http_svr_conn_t *svr_conn, const axutil_env_t *env, int timeout)
AXIS2_EXTERN axis2_char_t * | axis2_simple_http_svr_conn_get_svr_ip (const axis2_simple_http_svr_conn_t *svr_conn, const axutil_env_t *env)
AXIS2_EXTERN axis2_char_t * | axis2_simple_http_svr_conn_get_peer_ip (const axis2_simple_http_svr_conn_t *svr_conn, const axutil_env_t *env)
AXIS2_EXTERN void | axis2_simple_http_svr_conn_free (axis2_simple_http_svr_conn_t *svr_conn, const axutil_env_t *env)
AXIS2_EXTERN axis2_simple_http_svr_conn_t * | axis2_simple_http_svr_conn_create (const axutil_env_t *env, int sockfd)

## Detailed Description

Axis2 simple http server connection.

## Function Documentation

AXIS2_EXTERN axis2_status_t axis2_simple_http_svr_conn_close | ( | axis2_simple_http_svr_conn_t * | svr_conn,
|  | const axutil_env_t * | env |
| ) |  |  |

Parameters:

  | svr_conn | pointer to server connection struct
  | env | pointer to environment struct

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_simple_http_svr_conn_t* axis2_simple_http_svr_conn_create | ( | const axutil_env_t * | env,
|  | int | sockfd |
| ) |  |  |

creates axis2_simple_http_svr_conn struct

Parameters:

  | env | pointer to environment struct
  | sockfd | sockfd

AXIS2_EXTERN void axis2_simple_http_svr_conn_free | ( | axis2_simple_http_svr_conn_t * | svr_conn,
|  | const axutil_env_t * | env |
| ) |  |  |

Parameters:

  | svr_conn | pointer to server connection struct
  | env | pointer to environment struct

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_char_t* axis2_simple_http_svr_conn_get_peer_ip | ( | const axis2_simple_http_svr_conn_t * | svr_conn,
|  | const axutil_env_t * | env |
| ) |  |  |

Parameters:

  | svr_conn | pointer to server connection struct
  | env | pointer to environment struct

AXIS2_EXTERN axutil_stream_t* axis2_simple_http_svr_conn_get_stream | ( | const axis2_simple_http_svr_conn_t * | svr_conn,
|  | const axutil_env_t * | env |
| ) |  |  |

Parameters:

  | svr_conn | pointer to server connection struct
  | env | pointer to environment struct

AXIS2_EXTERN axis2_char_t* axis2_simple_http_svr_conn_get_svr_ip | ( | const axis2_simple_http_svr_conn_t * | svr_conn,
|  | const axutil_env_t * | env |
| ) |  |  |

Parameters:

  | svr_conn | pointer to server connection struct
  | env | pointer to environment struct

AXIS2_EXTERN axis2_http_response_writer_t* axis2_simple_http_svr_conn_get_writer | ( | const axis2_simple_http_svr_conn_t * | svr_conn,
|  | const axutil_env_t * | env |
| ) |  |  |

Parameters:

  | svr_conn | pointer to server connection struct
  | env | pointer to environment struct

AXIS2_EXTERN axis2_bool_t axis2_simple_http_svr_conn_is_keep_alive | ( | axis2_simple_http_svr_conn_t * | svr_conn,
|  | const axutil_env_t * | env |
| ) |  |  |

Parameters:

  | svr_conn | pointer to server connection struct
  | env | pointer to environment struct

AXIS2_EXTERN axis2_bool_t axis2_simple_http_svr_conn_is_open | ( | axis2_simple_http_svr_conn_t * | svr_conn,
|  | const axutil_env_t * | env |
| ) |  |  |

Parameters:

  | svr_conn | pointer to server connection struct
  | env | pointer to environment struct

AXIS2_EXTERN axis2_http_simple_request_t* axis2_simple_http_svr_conn_read_request | ( | axis2_simple_http_svr_conn_t * | svr_conn,
|  | const axutil_env_t * | env |
| ) |  |  |

Parameters:

  | svr_conn | pointer to server connection struct
  | env | pointer to environment struct

AXIS2_EXTERN axis2_status_t axis2_simple_http_svr_conn_set_keep_alive | ( | axis2_simple_http_svr_conn_t * | svr_conn,
|  | const axutil_env_t * | env,
|  | axis2_bool_t | keep_alive |
| ) |  |  |

Parameters:

  | svr_conn | pointer to server connection struct
  | env | pointer to environment struct
  | keep_alive |

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_simple_http_svr_conn_set_rcv_timeout | ( | axis2_simple_http_svr_conn_t * | svr_conn,
|  | const axutil_env_t * | env,
|  | int | timeout |
| ) |  |  |

Parameters:

  | svr_conn | pointer to server connection struct
  | env | pointer to environment struct
  | timeout | timeout

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_simple_http_svr_conn_set_snd_timeout | ( | axis2_simple_http_svr_conn_t * | svr_conn,
|  | const axutil_env_t * | env,
|  | int | timeout |
| ) |  |  |

Parameters:

  | svr_conn | pointer to server connection struct
  | env | pointer to environment struct
  | timeout | timeout

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_simple_http_svr_conn_write_response | ( | axis2_simple_http_svr_conn_t * | svr_conn,
|  | const axutil_env_t * | env,
|  | axis2_http_simple_response_t * | response |
| ) |  |  |

Parameters:

  | svr_conn | pointer to server connection struct
  | env | pointer to environment struct
  | response | response

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE